{% extends 'base.html.twig' %}

{% block title %}Catalogue{% endblock %}

{% block body %}
    <section>
        <div class="px-4 mx-auto max-w-screen-2xl lg:px-12 mb-10">
            <div class="mx-auto max-w-screen-sm text-center lg:mb-16 mb-8">
                <h2 class="mb-4 text-3xl lg:text-4xl tracking-tight font-extrabold text-gray-900">
                    Catalogue achat
                </h2>
            </div>
            {% if produits %}
                <div class="relative overflow-hidden bg-white shadow-md dark:bg-gray-800 sm:rounded-lg">
                    <div class="flex flex-col px-4 py-3 space-y-3 lg:flex-row lg:items-center lg:justify-between lg:space-y-0 lg:space-x-4">
                        <div class="flex items-center flex-1 space-x-4">
                            <h5>
                                <span class="text-gray-500">Total produits:</span>
                                <span class="dark:text-white">{{ produits | length }}</span>
                            </h5>
                        </div>
                    </div>
                    <div class="overflow-x-auto">
                        <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
                            <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
                            <tr>
                                <th scope="col" class="px-4 py-3">REF</th>
                                <th scope="col" class="px-4 py-3">Biere</th>
                                <th scope="col" class="px-4 py-3">Image</th>
                                <th scope="col" class="px-4 py-3">Prix HT</th>
                                <th scope="col" class="px-4 py-3">Prix TTC</th>
                                <th scope="col" class="px-4 py-3">Actions</th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for produit in produits %}
                                <tr class="border-b dark:border-gray-600 hover:bg-gray-100 dark:hover:bg-gray-700">
                                    <td class="px-4 py-2">
                                    <span class="bg-primary-100 text-primary-800 text-xs font-medium px-2 py-0.5 rounded dark:bg-primary-900 dark:text-primary-300">
                                        {{ produit.ref }}
                                    </span>
                                    </td>
                                    <td class="px-4 py-2 font-medium text-gray-900 whitespace-nowrap dark:text-white">
                                        <div class="flex items-center">
                                            {{ produit.biere.name }}
                                        </div>
                                    </td>
                                    <td class="px-4 py-2 font-medium text-gray-900 whitespace-nowrap dark:text-white">
                                        <img class="w-12" src="{{ produit.biere.urlImage }}" alt="image biere">
                                    </td>
                                    <td class="px-4 py-2 font-medium text-gray-900 whitespace-nowrap dark:text-white">
                                        {{ produit.priceHt }}
                                    </td>
                                    <td class="px-4 py-2 font-medium text-gray-900 whitespace-nowrap dark:text-white">
                                        {{ produit.priceTtc }}
                                    </td>
                                    <td class="px-4 py-2 font-medium text-gray-900 whitespace-nowrap dark:text-white">
                                        <a href="#">
                                            Commander
                                        </a>
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            {% else %}
                <p>Aucun produit pour ce fournisseur</p>
            {% endif %}
        </div>
    </section>
{% endblock %}